Bug 814245 - RFE: package Eclipse m2e plugin
RFE: package Eclipse m2e plugin
Status: CLOSED DUPLICATE of bug 847160
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 08:58 EDT by Jan Vlug
Modified: 2012-12-04 11:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 11:41:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Vlug 2012-04-19 08:58:34 EDT
Description of problem:
The Fedora repository does not provide the m2e (Maven to Eclipse) Eclipse plugin.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
The Fedora repository should contain a package that provides the m2e plugin

Additional info:
http://www.eclipse.org/m2e/
Comment 1 Andrew Overholt 2012-04-19 09:09:49 EDT
How would you like to package it?  It's not too hard and we can give you assistance.  The guidelines are here:

https://fedoraproject.org/wiki/Packaging:EclipsePlugins
Comment 2 Roland Grunberg 2012-04-19 09:33:02 EDT
In addition, I can see that the source makes use of poms (and some tycho dependencies) so building with tycho (0.14.1) could also be a possibility.
Comment 3 Itamar Heim 2012-11-29 03:56:53 EST
duplicate of bug 847160- Review Request: eclipse-m2e-core - Maven integration for Eclipse?
Comment 4 Roland Grunberg 2012-12-04 11:41:17 EST
(In reply to comment #3)
> duplicate of bug 847160- Review Request: eclipse-m2e-core - Maven integration
> for Eclipse?

You're right. I'm marking this as a duplicate of Bug 847160. The review process has stalled a bit though.

*** This bug has been marked as a duplicate of bug 847160 ***

Note You need to log in before you can comment on or make changes to this bug.